import type { Theme } from '../../lib/theming/Theme.js';
export declare const modalGlobalClasses: {
    root: string;
    container: string;
};
export declare const getStyles: import("../../lib/theming/Emotion.js").StylesGetter<{
    root(): string;
    bg(t: Theme): string;
    container(): string;
    containerDesktop(): string;
    mobileContainerFullscreen5_2(): string;
    mobileContainerSmall5_2(): string;
    mobileContainerSmallTop5_2(): string;
    mobileContainerSmallBottom5_2(): string;
    window(t: Theme): string;
    mobileWindow(): string;
    mobileWindowFullscreen(): string;
    centerContainer(): string;
    mobileCenterContainer(t: Theme): string;
    mobileCenterContainerBig(t: Theme): string;
    mobileCenterContainerFullscreen(): string;
    alignTop(): string;
    close(t: Theme): string;
    closeMobile(t: Theme): string;
    mobileCloseWithoutHeader(t: Theme): string;
    closeWrapper(t: Theme): string;
    mobileCloseWrapper(t: Theme): string;
    disabled(t: Theme): string;
    focus(t: Theme): string;
    header(t: Theme): string;
    mobileHeader(t: Theme): string;
    titleCut(): string;
    body(t: Theme): string;
    mobileBody(t: Theme): string;
    headerWithClose(t: Theme): string;
    mobileHeaderWithClose(t: Theme): string;
    footer(t: Theme): string;
    mobileFooter(t: Theme): string;
    panel(t: Theme): string;
    fixedHeader(t: Theme): string;
    mobileFixedHeader(t: Theme): string;
    fixedFooter(t: Theme): string;
    mobileFixedFooter(t: Theme): string;
    fixedPanel(t: Theme): string;
    headerAddPadding(t: Theme): string;
    bodyWithoutHeader(t: Theme): string;
    mobileBodyWithoutHeader(t: Theme): string;
    bodyWithoutPadding(): string;
    bodyAddPaddingForPanel(t: Theme): string;
    mobileBodyAddPaddingForPanel(t: Theme): string;
    columnFlexContainer(): string;
    modalSeparatorWrapper(): string;
    modalSeparator(t: Theme): string;
    modalSeparatorFixed(t: Theme): string;
}>;
